{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To create an add-on resource, send a POST request to `/v2/add-ons/saas` with required parameters.\nSome add-ons require additional metadata to be provided in the request body. To find out\nwhat metadata is required for a specific add-on, send a GET request to `/v2/add-ons/apps/{app_slug}/metadata`.\n","properties":{"body":{"allOf":[{"$ref":"#/definitions/addons_resource_new"}],"required":["name","app_slug","plan_slug","metadata"]}},"required":["body"],"additionalProperties":false,"definitions":{"addons_resource_new":{"type":"object","properties":{"app_slug":{"title":"app_slug","type":"string","description":"The slug identifier for the application associated with the resource.","examples":["example-app"]},"plan_slug":{"title":"plan_slug","type":"string","description":"The slug identifier for the plan associated with the resource.","examples":["basic_plan"]},"name":{"title":"name","type":"string","description":"The name of the addon resource.","examples":["my-resource-01"]},"metadata":{"title":"metadata","type":"array","items":{"$ref":"#/definitions/addons_resource_metadata"},"description":"Metadata associated with the resource, set by the user. Metadata expected varies per app, and can be verified with a GET request to \"/v2/add-ons/apps/{app_slug}/metadata\""},"linked_droplet_id":{"title":"linked_droplet_id","type":"integer","description":"ID of the droplet to be linked to this resource, if applicable.","examples":[12345678]},"fleet_uuid":{"title":"fleet_uuid","type":"string","description":"UUID of the fleet/project to which this resource will belong.","examples":["f1234567-89ab-cdef-0123-456789abcdef01"]}},"required":["app_slug","plan_slug","name","metadata"]},"addons_resource_metadata":{"type":"object","properties":{"name":{"title":"name","type":"string","description":"The name of the metadata item to be set.","examples":["property_name"]},"value":{"oneOf":[{"title":"string_value","type":"string","examples":["example_value"]},{"title":"boolean_value","type":"boolean","examples":[true]}],"description":"The value to be set for the metadata item, which can be a string or boolean.","examples":["example_value"]}},"required":["name","value"]}}},"name":"Create/Provision a New Add-on Resource","id":"digitalocean.addons_create","example":{"body":{"name":"my-resource-01","app_slug":"example-app","plan_slug":"basic_plan","metadata":[]}},"maxRequests":1,"summary":false}}